Ankündigung

Einklappen
Keine Ankündigung bisher.

SmartHomeNG Release v1.8

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    #16
    Hi, anbei die Infos:
    • Python Version --> 3.7.3 final
    • Version des installierten Python websockets Packages --> 8.1
    • Version des installierten Python janus Packages --> 0.6.1
    • Kommt die Meldung nach jedem Start --> jupp
    • Kommt die Meldung ein mal oder öfter --> öfter
    • Kommt die Meldung nur wenn ein Browser Fenster mit der smartVISU offen ist --> nein auch so
    folgende Meldungen kamen jetzt noch dazu:
    HTML-Code:
    2021-01-16 22:46:39 WARNING lib.smarthome.main -------------------- SmartHomeNG initialization finished --------------------
    2021-01-16 23:01:52 ERROR modules.websocket smartVISU_protocol_v4 exception: code = 1005 (no status code [internal]), no reason
    2021-01-16 23:16:20 ERROR asyncio Task exception was never retrieved
    future: <Task finished coro=<Websocket.update_all_series() done, defined at /usr/local/smarthome/modules/websocket/__init__.py:705> exception=AttributeError("module 'asyncio' has no attribute 'connection_closed_exc'")>
    > Traceback (most recent call last):
    > File "/usr/local/smarthome/modules/websocket/__init__.py", line 729, in update_all_series
    > await websocket.send(json.dumps(reply, default=self.json_serial))
    > File "/home/smarthome/.local/lib/python3.7/site-packages/websockets/protocol.py", line 555, in send
    > await self.ensure_open()
    > File "/home/smarthome/.local/lib/python3.7/site-packages/websockets/protocol.py", line 803, in ensure_open
    > raise self.connection_closed_exc()
    > websockets.exceptions.ConnectionClosedError: code = 1005 (no status code [internal]), no reason
    
    During handling of the above exception, another exception occurred:
    
    > Traceback (most recent call last):
    > File "/usr/local/smarthome/modules/websocket/__init__.py", line 731, in update_all_series
    > except (asyncio.IncompleteReadError, asyncio.connection_closed_exc) as e:
    > AttributeError: module 'asyncio' has no attribute 'connection_closed_exc'
    2021-01-16 23:17:43 ERROR modules.websocket smartVISU_protocol_v4 exception: code = 1005 (no status code [internal]), no reason

    Kommentar


      #17
      Ok, die Exceptions sind eine logische Folge des ursprünglichen Fehlers. Schade nur, dass das websockets Package nur no reason liefert... Das macht die Suche nicht leichter.
      Viele Grüße
      Martin

      There is no cloud. It's only someone else's computer.

      Kommentar


        #18
        ...wenn ich noch was testen bzw. Infos liefern kann was dir hilft gerne

        Kommentar


          #19
          Im Moment fällt mir nur eines ein:
          Zitat von Scaramangas Beitrag anzeigen
          Kommt die Meldung ein mal oder öfter --> öfter
          • was bedeutet öfter? 1x je Sekunde, 1x je Minute, 1x je Stunde, ...
          • gibt es eine Regelmäßigkeit?
          • Welches OS, welche Version setzt Du ein?
          Viele Grüße
          Martin

          There is no cloud. It's only someone else's computer.

          Kommentar


            #20
            Hi,
            anbei nochmal das Log. Ich hab das Update erst vorhin gemacht, aber so wie es aussieht so alle 5-15 Minuten. Regelmäßigkeit konnte ich noch nicht feststellen, ich hatte beim letzten Eintrag nicht die SmartVISU, sondern nur das AdminPanel offen.
            Als OS läuft bei mir Debian 10 in der aktuellen Version in einem LXC-Container unter Proxmox.


            HTML-Code:
            2021-01-16 22:46:39 WARNING lib.smarthome.main -------------------- SmartHomeNG initialization finished --------------------
            2021-01-16 23:01:52 ERROR modules.websocket smartVISU_protocol_v4 exception: code = 1005 (no status code [internal]), no reason
            2021-01-16 23:16:20 ERROR asyncio Task exception was never retrieved
            future: <Task finished coro=<Websocket.update_all_series() done, defined at /usr/local/smarthome/modules/websocket/__init__.py:705> exception=AttributeError("module 'asyncio' has no attribute 'connection_closed_exc'")>
            > Traceback (most recent call last):
            > File "/usr/local/smarthome/modules/websocket/__init__.py", line 729, in update_all_series
            > await websocket.send(json.dumps(reply, default=self.json_serial))
            > File "/home/smarthome/.local/lib/python3.7/site-packages/websockets/protocol.py", line 555, in send
            > await self.ensure_open()
            > File "/home/smarthome/.local/lib/python3.7/site-packages/websockets/protocol.py", line 803, in ensure_open
            > raise self.connection_closed_exc()
            > websockets.exceptions.ConnectionClosedError: code = 1005 (no status code [internal]), no reason
            
            During handling of the above exception, another exception occurred:
            
            > Traceback (most recent call last):
            > File "/usr/local/smarthome/modules/websocket/__init__.py", line 731, in update_all_series
            > except (asyncio.IncompleteReadError, asyncio.connection_closed_exc) as e:
            > AttributeError: module 'asyncio' has no attribute 'connection_closed_exc'
            2021-01-16 23:17:43 ERROR modules.websocket smartVISU_protocol_v4 exception: code = 1005 (no status code [internal]), no reason
            2021-01-16 23:22:44 ERROR modules.websocket smartVISU_protocol_v4 exception: code = 1005 (no status code [internal]), no reason
            Ich kann im Moment jedenfalls keine Beeinträchtigung feststellen, es scheint alles zu funktionieren.
            Angehängte Dateien
            Zuletzt geändert von Scaramangas; 16.01.2021, 23:50.

            Kommentar


              #21
              Hätte da auch noch eine Frage. Nach dem Update geht mein Cycle Trigger innerhalb der Item Definition nicht mehr.

              Code:
              LIFEBEAT:
                  name: Wechselt jede Sekunde von True auf False (toggelt)
                  type: bool
                  value: 0
                  eval: not sh.LIFEBEAT()
                  cycle: 1
                  enforce_updates: True
                  on_update: LIFEBEAT.TIME = sh.LIFEBEAT.last_update().strftime('%a %d.%m.%Y %H:%M:%S')
                  
                  TIME:
                      remark: Wann wurde das Lifebeat verändert (soll dazu dienen im Tablet sehen zu können, ob die Zeit zu der aktuellen Uhrzeit passt)
                      name: Letztes Update von
                      type: str
              Normalerweise hat so das Lifebeat bit jede Sekunde getoggelt und es wurde dazu noch eine Uhrzeit erstellt. Aber das toggeln passiert nicht mehr. Der macht einfach gar nichts und nach Neustart bleibt der Wert einfach 0. Setze ich den Wert manuell über das Webfrontend, dann kommt auch die Uhrzeit entsprechend. Somit funktioniert das LIFEBEAT.TIME item. Aber das toggeln will nicht so recht.

              In der smarthome.yaml habe ich "assign_compatibility: latest" eingetragen. Soll schon auf den Type gucken.

              Gibt es da noch etwas zu beachten, oder hatte sonst noch jemand Probleme mit cycle?

              Gruß
              loeserman


              LÖSUNG:
              Hat sich erledigt. es muss hinter dem Wert für den cycle noch die Einheit geschrieben werden. Mit "cycle: 1s" funtioniert es.
              Zuletzt geändert von loeserman; 17.01.2021, 20:47. Grund: Lösung dabei geschrieben

              Kommentar


                #22
                Zitat von Scaramangas Beitrag anzeigen
                Ich kann im Moment jedenfalls keine Beeinträchtigung feststellen, es scheint alles zu funktionieren
                Soll auch so sein. Wenn die Websocket Verbindung (aus welchem Grund auch immer) geschlossen wird, wird sie von der smartVISU wieder aufgebaut wenn sie benötigt wird.

                Kann es sein, dass in Deiner Konfiguration im LXC-Container unter Proxmox etwas dazu führt, dass die Verbindung geschlossen wird (ich kenne mich mit dieser Umgebung nicht aus).

                Hintergrund der Frage: Ich frage mich, ob das Schließen der Websocket Verbindung bei Dir auch mit der alten Websocket Kommunikation auftrat, nur fass das alte Plugin schweigsam war und Verbindungsabbrüche nicht geloggt hat?
                Viele Grüße
                Martin

                There is no cloud. It's only someone else's computer.

                Kommentar


                  #23
                  Mir würde jetzt auf Anhieb nichts einfallen, was in der Proxmox-Konfig dazu führen würde.

                  Hintergrund der Frage: Ich frage mich, ob das Schließen der Websocket Verbindung bei Dir auch mit der alten Websocket Kommunikation auftrat, nur fass das alte Plugin schweigsam war und Verbindungsabbrüche nicht geloggt hat?
                  Kann ich das irgendwio sehen, kann jederzeit zum alten Stand mit 1.7.2 zurück. Dann würde ich nämlich mal kurz mein Backup wiederherstellen und nachsehen...?

                  Kommentar


                    #24
                    Zitat von Scaramangas Beitrag anzeigen
                    Kann ich das irgendwio sehen
                    Leider nicht. Das alte Plugin war da sehr sparsam.

                    Was mir noch aufgefallen ist: Wenn Du kein smartVISU Fenster offen hast, wer hat dann die Websocket Verbindung eröffnet, die zu dem Fehler führt?
                    Viele Grüße
                    Martin

                    There is no cloud. It's only someone else's computer.

                    Kommentar


                      #25
                      ...gute Frage, kann evtl. das neue SmartVISU-Plugin was damit zu tun haben, das steht ja bei mir auf pausiert. Ich hatte halt das Admin-Panel offen in der Zeit.

                      Kommentar


                        #26
                        Nein, die Verbundung wird nur von der SV (also vom Browser her) aufgebaut. Das smartvisu Plugin ist nach Abschluß der Initialisierung nicht mehr aktiv. Dann hat es (im aktuellen Ausbauk seine Arbeit vollständig erledigt.
                        Viele Grüße
                        Martin

                        There is no cloud. It's only someone else's computer.

                        Kommentar


                          #27
                          Ok, dann überprüfe ich das bei mir nochmal ob es auch wirklich so ist, das zum Zeitpunkt des Fehlereintrages keiner die SmartVisu offen hat.

                          Kommentar


                            #28
                            Ok, dann überprüfe ich das bei mir nochmal ob es auch wirklich so ist, das zum Zeitpunkt des Fehlereintrages keiner die SmartVisu offen hat.
                            also der Fehler tritt auf, obwohl kein Zugriff auf die SmartVisu erfolgt...

                            HTML-Code:
                            2021-01-17 12:59:35 WARNING lib.smarthome.main -------------------- SmartHomeNG initialization finished --------------------
                            2021-01-17 12:59:44 ERROR modules.websocket smartVISU_protocol_v4 exception: code = 1005 (no status code [internal]), no reason
                            hatte jetzt mal den smarthome.service neugestartet, sofort danach kommt der Fehler.

                            Kommentar


                              #29
                              Die Exception, die Du gepostet hattest die diverse Minuten später kam. Kommt die immer? Im Log sah das so aus, als wollte das Modul einen Plot auf einer SV Seite updaten nachdem die Verbindung geschlossen wurde. Kannst Du mir sagen, ob (wenn kein Browser offen ist) nach einem Neustart nur der obige Log Eintrag kommt oder später auch eine Exception?
                              Viele Grüße
                              Martin

                              There is no cloud. It's only someone else's computer.

                              Kommentar


                                #30
                                bis jetzt kommen nur diese Fehlermeldungen, immer noch kein Zugriff auf SmartVISU über Browser

                                HTML-Code:
                                2021-01-17 12:59:35 WARNING lib.smarthome.main -------------------- SmartHomeNG initialization finished --------------------
                                2021-01-17 12:59:44 ERROR modules.websocket smartVISU_protocol_v4 exception: code = 1005 (no status code [internal]), no reason
                                2021-01-17 13:03:03 ERROR modules.websocket smartVISU_protocol_v4 exception: code = 1005 (no status code [internal]), no reason

                                Kommentar

                                Lädt...
                                X